Ubuntu

Cannot download fonts, "Error parsing proxy URL http://:8080/"

Reported by Richard Eames on 2008-09-25
878
This bug affects 130 people
Affects Status Importance Assigned to Milestone
msttcorefonts (Ubuntu)
Medium
GEOFF
Nominated for Karmic by r12056
Nominated for Lucid by r12056

Bug Description

I got the following when trying to install:

The following partially installed packages will be configured:
  msttcorefonts
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Setting up msttcorefonts (2.4) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
andale32.exe: No such file or directory

All done, errors in processing 1 file(s)
dpkg: error processing msttcorefonts (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 msttcorefonts
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up msttcorefonts (2.4) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
andale32.exe: No such file or directory

All done, errors in processing 1 file(s)
dpkg: error processing msttcorefonts (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 msttcorefonts

Jean-Baptiste Lallement (jibel) wrote :

choosing this report as master because it already has duplicates.

Jean-Baptiste Lallement (jibel) wrote :

Can you please open a terminal and provide the output of the following command:
$ echo $http_proxy

Thanks in advance.

Changed in msttcorefonts:
status: New → Incomplete
Richard Eames (naddiseo) wrote :

$ echo $http_proxy
http://:8080/

Download full text (4.0 KiB)

Those are the answers that I got when I have put those comands in terminal
(Alt+F2).

Sorry that I am not able to help more because I am new to Linux.

2008/10/18 Jean-Baptiste Lallement <email address hidden>

> Can you please open a terminal and provide the output of the following
> command:
> $ echo $http_proxy
>
> Thanks in advance.
>
> ** Changed in: msttcorefonts (Ubuntu)
> Status: New => Incomplete
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy ...

Read more...

Jean-Baptiste Lallement (jibel) wrote :

@Kenan,

To open a terminal select the menu "Applications -> Accessories -> Terminal"
A new window will popup with a prompt like "kenan@hostname : ~$"

After the $ sign type the following command :
echo $http_proxy

thanks

Jean-Baptiste Lallement (jibel) wrote :

Can you please provide the output of the following command:
gconftool -a /system/http_proxy

Thanks.

Kenan Brkic (kenci) wrote :
Download full text (4.0 KiB)

Hi,

Ive done it. There is following message:

kenan@kenan-laptop:~$ gconftool -a /system/http_proxy
 use_http_proxy = true
 use_authentication = false
 host =
 authentication_user =
 ignore_hosts = [localhost,127.0.0.0/8,*.local]
 authentication_password =
 port = 8080
kenan@kenan-laptop:~$

2008/10/18 Jean-Baptiste Lallement <email address hidden>

> Can you please provide the output of the following command:
> gconftool -a /system/http_proxy
>
> Thanks.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: I...

Read more...

Kenan Brkic (kenci) wrote :
Download full text (4.0 KiB)

As far as I can see it there is some problem with graphic card drivers
because now I dont have Linux proprietary drivers. IN the list is ATI
catalyst control center and it does not allow to pump up the graphics, I can
not set it on HIgh, it remains on basic.

Thanks for your help

Kenan

2008/10/18 Jean-Baptiste Lallement <email address hidden>

> Can you please provide the output of the following command:
> gconftool -a /system/http_proxy
>
> Thanks.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid...

Read more...

Kenan Brkic (kenci) wrote :
Download full text (4.3 KiB)

perhaps this can also help. It is showing that there are not any new updates
but I can see this shown on screen shot.

2008/10/18 Kenan Brkic <email address hidden>

> As far as I can see it there is some problem with graphic card drivers
> because now I dont have Linux proprietary drivers. IN the list is ATI
> catalyst control center and it does not allow to pump up the graphics, I can
> not set it on HIgh, it remains on basic.
>
> Thanks for your help
>
> Kenan
>
> 2008/10/18 Jean-Baptiste Lallement <email address hidden>
>
>> Can you please provide the output of the following command:
>> gconftool -a /system/http_proxy
>>
>> Thanks.
>>
>> --
>> Cannot download fonts, "Error parsing proxy URL http://:8080/"
>> https://bugs.launchpad.net/bugs/274421
>> You received this bug notification because you are a direct subscriber
>> of the bug.
>>
>> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>>
>> Bug description:
>> I got the following when trying to install:
>>
>>
>>
>> The following partially installed packages will be configured:
>> msttcorefonts
>> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
>> Need to get 0B of archives. After unpacking 0B will be used.
>> Writing extended state information... Done
>> Setting up msttcorefonts (2.4) ...
>>
>> These fonts were provided by Microsoft "in the interest of cross-
>> platform compatibility". This is no longer the case, but they are
>> still available from third parties.
>>
>> You are free to download these fonts and use them for your own use,
>> but you may not redistribute them in modified form, including changes
>> to the file name or packaging format.
>>
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> Error parsing proxy URL http://:8080/: Invalid host name.
>> andale32.exe: No such file or directory
>>
>> All done, errors in processing 1 file(s)
>> dpkg: error processing msttcorefonts (--configure):
>> subprocess post-installation script returned error exit status 1
>> Errors were encountered while processing:
>> msttcorefonts
>> E: Sub-process /usr/bin/dpkg returned an error code (1)
>> A package failed to install. Trying to recover:
>> Setting up msttcorefonts (2.4) ...
>>
>> These fonts were provided by Microsoft "in the interest of cross-
>> platform compatibility". This is no longer the case, but they are
>> still available from third parties.
>>
>> You are free to download these fonts and use them for your own use,
>> but you may not redistribute them in...

Read more...

Richard Eames (naddiseo) wrote :

@Kenan: That would be a different bug, not related to this one :)

Here's my output from the gconftool:
$ gconftool -a /system/http_proxy
 use_http_proxy = true
 use_authentication = false
 host =
 authentication_user =
 ignore_hosts = [localhost,127.0.0.0/8,*.local]
 authentication_password =
 port = 8080

I should mention that I don't think I've had this problem on Intrepid, so it could be some transition package that Intrepid didn't get.

Kenan Brkic (kenci) wrote :
Download full text (4.4 KiB)

@Richard: Great, it seems I am collecting bugs:).

Do you have any proposal what I should do, is it going to be possible to
upgrade in 12 days and are those bugs vanished by then?

Should I update from cd or online, or this just does not matter?

It seems I need to start to learn more about linux:).

Thanks anyway.

Kenan

2008/10/18 Richard Eames <email address hidden>

> @Kenan: That would be a different bug, not related to this one :)
>
> Here's my output from the gconftool:
> $ gconftool -a /system/http_proxy
> use_http_proxy = true
> use_authentication = false
> host =
> authentication_user =
> ignore_hosts = [localhost,127.0.0.0/8,*.local]
> authentication_password =
> port = 8080
>
>
> I should mention that I don't think I've had this problem on Intrepid, so
> it could be some transition package that Intrepid didn't get.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still availabl...

Read more...

Richard Eames (naddiseo) wrote :

For your ATI/Compiz bug I'd report a new one, or try to find someone else that's already reported it.
I can say that Intrepid does have a lot of bug fixes from hardy, so yes, some will magically disappear, some may remain, and those you need to report so that the developers can fix them.

As for upgrading, personally I like to update via update-manager, but I also order a CD so that I can reinstall at any time (Which tends to happen a lot when you use the testing versions).

The best way to learn (linux) is to fiddle with things, break them, then find out how to fix them. ;)

Kenan Brkic (kenci) wrote :
Download full text (5.0 KiB)

If it helps ( i have no any clue what I should report:) ) I have DELL
notebook INspiron 6400 with ATI X1300 GPU.

ONe of the reasons I got of the WIndows is that I got bored from Xp itself
and from to many viruses, antiviruses and so on... that means I will gladly
"report" send you print screen what I have found...

I have downloaded INtrepid and burned it on cd and tried to upgrade from cd
and it didnt worked, reinstall comes out of question untill I really have
to.

Thing where I could probably help is language, I work as a translator for
german and I am from Bosnia, that means if there are some thing that should
be translated to bosnian from english or from german I can probably help as
I saw that bosnian translation lacks on ... wuite a lot. I just didnt know
who to ask for...

Thanks for help.

Kenan

2008/10/18 Richard Eames <email address hidden>

> For your ATI/Compiz bug I'd report a new one, or try to find someone else
> that's already reported it.
> I can say that Intrepid does have a lot of bug fixes from hardy, so yes,
> some will magically disappear, some may remain, and those you need to report
> so that the developers can fix them.
>
> As for upgrading, personally I like to update via update-manager, but I
> also order a CD so that I can reinstall at any time (Which tends to
> happen a lot when you use the testing versions).
>
> The best way to learn (linux) is to fiddle with things, break them, then
> find out how to fix them. ;)
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Erro...

Read more...

Richard Eames (naddiseo) wrote :

Well, you can report a new bug here: https://bugs.launchpad.net/ubuntu/+filebug
You can also search for existing bugs there. Include those screen shots and some description.
This might also help: http://ubuntuforums.org/showthread.php?t=896777

[offtopic]
@kenan, don't hesitate to fill report for the bugs you're experiencing. I've seen a few about the dell Inspiron 6400 and X1300 so start by searching if you're issue is already known or not, and if you don't find a report then fill a new one. We can easily mark it as duplicate if it's a known issue.

If you're looking for more general support from the community you can start by reading http://www.ubuntu.com/support/CommunitySupport
If you want to help, you're are very welcome, and http://www.ubuntu.com/community/participate might be a good starting point.
[/offtopic]

Now regarding our bug here, it's clear that it's due to wrong proxy settings ( port set but not host and proxy settings activated ) It appears that port 8080 and no host is the default configuration but proxy is also disabled by default so it shouldn't hurt.

For those of you who are facing this issue, at first sight, the easiest thing to do is to either disable proxy or complete the host and port parameters in the proxy configuration tool.

To do this select the menu "System -> Preferences -> Network Proxy" and choose one of the following option
- Select "Direct Internet Connection"
OR
- Select "Manual Proxy Configuration" and fill the boxes with the correct settings
- Click on the "Close" button.

I hope this helps.

confirming because we have collected enough informations.

Changed in msttcorefonts:
status: Incomplete → Confirmed
Kenan Brkic (kenci) wrote :
Download full text (4.2 KiB)

OK, thanks, I will give it a try. This can be my small contribution...

I saved those links and if something else happens I will send screen shot
there.

Is there anything I can do to restore my native resolution 1280x800 without
reinstall? And my screen if somehow blurry. Perhaps you have seen this in my
screen shots. NOw I will send you the look of my update manager when I have
new updates.

2008/10/18 Richard Eames <email address hidden>

> Well, you can report a new bug here:
> https://bugs.launchpad.net/ubuntu/+filebug
> You can also search for existing bugs there. Include those screen shots and
> some description.
> This might also help: http://ubuntuforums.org/showthread.php?t=896777
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Incomplete
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form,...

Read more...

Kenan Brkic (kenci) wrote :
Download full text (5.0 KiB)

Because I am not so good at proxy settings I just choosed direct connection
and wait now for a mirracle:).

2008/10/18 Jean-Baptiste Lallement <email address hidden>

> [offtopic]
> @kenan, don't hesitate to fill report for the bugs you're experiencing.
> I've seen a few about the dell Inspiron 6400 and X1300 so start by searching
> if you're issue is already known or not, and if you don't find a report then
> fill a new one. We can easily mark it as duplicate if it's a known issue.
>
> If you're looking for more general support from the community you can start
> by reading http://www.ubuntu.com/support/CommunitySupport
> If you want to help, you're are very welcome, and
> http://www.ubuntu.com/community/participate might be a good starting
> point.
> [/offtopic]
>
> Now regarding our bug here, it's clear that it's due to wrong proxy
> settings ( port set but not host and proxy settings activated ) It
> appears that port 8080 and no host is the default configuration but
> proxy is also disabled by default so it shouldn't hurt.
>
> For those of you who are facing this issue, at first sight, the easiest
> thing to do is to either disable proxy or complete the host and port
> parameters in the proxy configuration tool.
>
> To do this select the menu "System -> Preferences -> Network Proxy" and
> choose one of the following option
> - Select "Direct Internet Connection"
> OR
> - Select "Manual Proxy Configuration" and fill the boxes with the correct
> settings
> - Click on the "Close" button.
>
> I hope this helps.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in "msttcorefonts" source package in Ubuntu: Confirmed
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invali...

Read more...

Richard Eames (naddiseo) wrote :

@Jean-Baptiste, I tried setting my proxy settings to direct connection (still not sure why it was set to have a proxy) and I still have the error. $ echo $http_proxy isn't defined though (prints a null line).

Kyromaster (kyromaster) wrote :

Still the same with intrepid. I installed it and entered proxy settings in the installer. They weren't transferred to the proxy configuration applet but only port 8080. Seems something is definitely wrong here.
What about
1. Having nothing set as default value when not set during the installer (why should there be a port number?)
2. Making sure when entering proxy settings in the installer, that these are also set in the installed system

See also https://bugs.launchpad.net/ubuntu/+bug/224422

  • unnamed Edit (7.6 KiB, Text/HTML; charset="iso-8859-1")
  • unnamed Edit (1.4 KiB, image/jpeg; name="faint_grain.jpg")
  • unnamed Edit (31.1 KiB, image/gif; name="imstp_animation_butterflies_en_020908.gif")
Download full text (3.8 KiB)

Solved, turned proxy off in firefox.

-------Original Message-------

From: Gacha
Date: 11/25/08 09:19:28
To: <email address hidden>
Subject: [Bug 274421] Re: Cannot download fonts,"Error parsing proxy URL
http://:8080/"

Solved: http://geek00l.blogspot.com/2007/11/ubuntu-msttcorefonts-
problem-fixed.html

--
Cannot download fonts, "Error parsing proxy URL http://:8080/"
https://bugs.launchpad.net/bugs/274421
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “msttcorefonts” source package in Ubuntu: Confirmed

Bug description:
I got the following when trying to install:

The following partially installed packages will be configured:
  msttcorefonts
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Setting up msttcorefonts (2.4) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
andale32.exe: No such file or directory

All done, errors in processing 1 file(s)
dpkg: error processing msttcorefonts (--configure):
  subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
  msttcorefonts
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up msttcorefonts (2.4) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:...

Read more...

Kyromaster (kyromaster) wrote :

This is not an ubuntu specific issue but a general GNOME one which also happens with every other distro

Even if gnome defaults to "direct connection" there's still the 8080 in the port field which is a BUG!!!!

but theres enough information given by me and others and nobody seems to care :(

Changed in msttcorefonts:
importance: Undecided → Medium
status: Confirmed → Triaged
bumbiuk (1-bumbi) wrote :

Hi All!

I have tried correcting proxy settings, setting to direct, changing proxy in firefox and prettu much all I found in forums, but still getting the same error message regarding the msttcorefonts! Not able to see content of many websites nor wach any video on you tube or elsewhere as can not install neither updates nor flash addins nor java. All those are not visible in my installed programs.

I am pretty new to Linux and this has really been giving me a big problem past 2 weeks.

Any help would be really appreciated.

Kyromaster (kyromaster) wrote :

Have you tried this?
Switch to "manual proxy", change the "8080" entry in the port entry to 0, then switch back to "direct connection"? This works for me.

AND FOR THE DEVS: I'M A SOFTWARE ENGINEER MYSELF AND HAVE WRITTEN SEVERAL TIMES WHERE THE PROBLEM LIES!!! IF YOU WANT TO FIX THIS BUG AND ARE NOT SURE HOW PLEASE CONTACT ME!

Try UE-2.1 (Ultimate Edition)!
http://ultimateedition.info/ultimate-edition-21/

:)

On Mon, Mar 23, 2009 at 8:30 PM, bumbiuk <email address hidden> wrote:

> Hi All!
>
> I have tried correcting proxy settings, setting to direct, changing
> proxy in firefox and prettu much all I found in forums, but still
> getting the same error message regarding the msttcorefonts! Not able to
> see content of many websites nor wach any video on you tube or elsewhere
> as can not install neither updates nor flash addins nor java. All those
> are not visible in my installed programs.
>
> I am pretty new to Linux and this has really been giving me a big
> problem past 2 weeks.
>
> Any help would be really appreciated.
>
> ** Attachment added: "Bug msttcorefonts.png"
> http://launchpadlibrarian.net/24254301/Bug%20msttcorefonts.png
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
m k h _ s g n

Werner Bruns (werner-bruns) wrote :

Hello,
I'm have resolved that using "gconf-editor" and in "/system/http_proxy/" put the correct proxy server configuration (in my case host= 192.168.0.50 and port = 3128)

NSB (pressanykey) wrote :

Hello,

I solved the problem by opening the proxy setting window in the preference menu, ensuring the setting is "direct connection" and clicking on the button to apply the setting to all the system (I am working in french version so I don't have the exact button label in english).

Before:

$ gconftool -a /system/http_proxy
 use_authentication = false
 authentication_password =
 authentication_user =
 ignore_hosts = [localhost,127.0.0.0/8,*.local]
 use_http_proxy = true
 port = 8080
 use_same_proxy = false
 host =

After:

$ gconftool -a /system/http_proxy
 use_authentication = false
 authentication_password =
 authentication_user =
 ignore_hosts = [localhost,127.0.0.0/8,*.local]
 use_http_proxy = false
 port = 8080
 use_same_proxy = false
 host =

As you can see it changed the use_http_proxy to false. You may as well use gconf-editor for the job.

Hope this help.

NSB

Poppafuze (poppafuze) wrote :

Confirmed bug. I am a proxy wizard...all other proxy functions work (other than other known bugs). Browser, GNOME, http_proxy, synaptic proxy...all work, except for the sloppy scripts in this one package that I can't remove because that doesn't work, either (see below).

env | grep http
http_proxy=http://poppafuze:my;proxy;<email address hidden>:80/

Error parsing proxy URL http://poppafuze:my;proxy;<email address hidden>:80/: Bad port number.

...also failed to parse...

env | grep http
http_proxy=http://poppafuze:my;proxy;<email address hidden>:80

Error parsing proxy URL http://poppafuze:my;proxy;<email address hidden>:80: Bad port number.

Also, please note the related symptom: The rm script attempts to download the packages again upon removal.
So if someone wants to remove that package because it can't auth to a proxy, the package removal fails because it tries to use the proxy upon removal. This is actually a separate bug.

A patched version of ttf-corefonts-installer is available in my ppa for lucid and karmic.

It fixes the downloading and proxy issues and doesn't fail the whole installation if some fonts failed to download.
For those brave enough please give it a try and report if you succeeded or any error you may find.

To add the repository open a terminal and run:
$ sudo add-apt-repository ppa:jibel/ppa
$ sudo apt-get update
$ sudo apt-get install ttf-mscorefonts-installer

Note that the debconf frontend must be set to something else than non-interactive.
Remember that this is an experimental version of the package, so use it at your own risk.

Thanks for your help.

Changed in msttcorefonts (Ubuntu):
assignee: nobody → Jean-Baptiste Lallement (jibel)
status: Triaged → In Progress
Przemysław Kulczycki (azrael) wrote :

This bug seems like bug 433827: "Automatic proxy configuration" + gnome-terminal now breaks apt-get, curl, wget...

hypauline (hypauline) wrote :

I've done this:

$ sudo add-apt-repository ppa:jibel/ppa
$ sudo apt-get update
$ sudo apt-get install ttf-mscorefonts-installer

Then now this pop out when I want to do anything with the terminal:

E: dpkg a été interrompu, vous devez lancer manuellement 'sudo dpkg --configure -a' pour corriger le problème.
E: _cache->open() failed, please report.

(sudo dpkg --configure -a doesn't work)

And the terminal soon after open with this:

Outil de configuration des paquets

Configuration de ttf-mscorefonts-installer

Si vous devez utiliser un mandataire HTTP ( proxy), veuillez indiquer son adresse (par exemple : http://192.168.0.1:8080). Les fichiers des polices seront alors telecharges via ce serveur mandataire.
Vous pouvez laisser ce champ vide si vous n'utilisez pas de mandataire.
Mandataire HTTP :
http://:8080/

(I don't know which address proxy to write, neither how to find a/the right one)

Lat thing, I upgraded to the 9.10 ubuntu karmic

hypauline (hypauline) wrote :
Download full text (13.9 KiB)

 sudo dpkg --configure -a

Paramétrage de ttf-mscorefonts-installer (3.0ubuntu1~ppa1) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur d'analyse syntaxique du URL proxy http://:8080/http://192.168.0.1:8080: Nom de l'hôte invalide
Erreur ...

@hypauline:
What is the output of the command :
debconf-show msttcorefonts

If you don't know what a proxy address is, then you probably don't use one, and leave a blank field should do it.

amrita (amrita0001) wrote :
Download full text (4.2 KiB)

Hi,
The output is
 DbDriver "passwords" warning: could not open
/var/cache/debconf/passwords.dat: Permission denied
  msttcorefonts/dlurl:
  msttcorefonts/savedir:
  msttcorefonts/http_proxy: http://:8080/
  msttcorefonts/baddldir:
  msttcorefonts/dldir:
* msttcorefonts/defoma:

What does this imply?
Thanks!

2010/1/21 Jean-Baptiste Lallement <email address hidden>

> @hypauline:
> What is the output of the command :
> debconf-show msttcorefonts
>
> If you don't know what a proxy address is, then you probably don't use
> one, and leave a blank field should do it.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “msttcorefonts” package in Ubuntu: In Progress
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package failed to install. Trying to recover:
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
...

Read more...

@amrita,

This implies that the script tries to use the proxy address http://:8080/ to download the fonts, which is obviously an erroneous value.

If you're not using a proxy, you can set the proxy address to blank. Open a terminal and run:
$ echo "set msttcorefonts/http_proxy " | sudo debconf-communicate

If you're using a proxy to access the net then run the following command (change PROXY with your proxy address, for exemple http://192.168.0.1:3128/) :
$ echo "set msttcorefonts/http_proxy PROXY" | sudo debconf-communicate

Enter your password when you're asked for it.
You can check if the value is correctly set with the debconf-show command

Hope this helps.

Download full text (4.9 KiB)

Thanks for your help. Regards, PMA.

Pablo L. Mata A, PhD.
<email address hidden>, <email address hidden>
http://lavxm.stanford.edu/wiki/Pablo_Mata_Almonacid

> Date: Sat, 6 Feb 2010 14:47:00 +0000
> From: <email address hidden>
> To: <email address hidden>
> Subject: [Bug 274421] Re: Cannot download fonts, "Error parsing proxy URL http://:8080/"
>
> @amrita,
>
> This implies that the script tries to use the proxy address
> http://:8080/ to download the fonts, which is obviously an erroneous
> value.
>
> If you're not using a proxy, you can set the proxy address to blank. Open a terminal and run:
> $ echo "set msttcorefonts/http_proxy " | sudo debconf-communicate
>
> If you're using a proxy to access the net then run the following command (change PROXY with your proxy address, for exemple http://192.168.0.1:3128/) :
> $ echo "set msttcorefonts/http_proxy PROXY" | sudo debconf-communicate
>
> Enter your password when you're asked for it.
> You can check if the value is correctly set with the debconf-show command
>
> Hope this helps.
>
> --
> Cannot download fonts, "Error parsing proxy URL http://:8080/"
> https://bugs.launchpad.net/bugs/274421
> You received this bug notification because you are a direct subscriber
> of a duplicate bug.
>
> Status in “msttcorefonts” package in Ubuntu: In Progress
>
> Bug description:
> I got the following when trying to install:
>
>
>
> The following partially installed packages will be configured:
> msttcorefonts
> 0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
> Need to get 0B of archives. After unpacking 0B will be used.
> Writing extended state information... Done
> Setting up msttcorefonts (2.4) ...
>
> These fonts were provided by Microsoft "in the interest of cross-
> platform compatibility". This is no longer the case, but they are
> still available from third parties.
>
> You are free to download these fonts and use them for your own use,
> but you may not redistribute them in modified form, including changes
> to the file name or packaging format.
>
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> Error parsing proxy URL http://:8080/: Invalid host name.
> andale32.exe: No such file or directory
>
> All done, errors in processing 1 file(s)
> dpkg: error processing msttcorefonts (--configure):
> subprocess post-installation script returned error exit status 1
> Errors were encountered while processing:
> msttcorefonts
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> A package fa...

Read more...

Download full text (4.6 KiB)

Bonjour, Que veux dire tout cela...je ne maitrise pas bien ll'Anglais et
surtout le LInux...
Merci des explications complémentaire en Français!

----- Original Message -----
From: "Jean-Baptiste Lallement" <email address hidden>
To: <email address hidden>
Sent: Saturday, February 06, 2010 3:47 PM
Subject: [Bug 274421] Re: Cannot download fonts,"Error parsing proxy URL
http://:8080/"

@amrita,

This implies that the script tries to use the proxy address
http://:8080/ to download the fonts, which is obviously an erroneous
value.

If you're not using a proxy, you can set the proxy address to blank. Open a
terminal and run:
$ echo "set msttcorefonts/http_proxy " | sudo debconf-communicate

If you're using a proxy to access the net then run the following command
(change PROXY with your proxy address, for exemple http://192.168.0.1:3128/)
:
$ echo "set msttcorefonts/http_proxy PROXY" | sudo debconf-communicate

Enter your password when you're asked for it.
You can check if the value is correctly set with the debconf-show command

Hope this helps.

--
Cannot download fonts, "Error parsing proxy URL http://:8080/"
https://bugs.launchpad.net/bugs/274421
You received this bug notification because you are a direct subscriber
of a duplicate bug.

Status in “msttcorefonts” package in Ubuntu: In Progress

Bug description:
I got the following when trying to install:

The following partially installed packages will be configured:
  msttcorefonts
0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
Need to get 0B of archives. After unpacking 0B will be used.
Writing extended state information... Done
Setting up msttcorefonts (2.4) ...

These fonts were provided by Microsoft "in the interest of cross-
platform compatibility". This is no longer the case, but they are
still available from third parties.

You are free to download these fonts and use them for your own use,
but you may not redistribute them in modified form, including changes
to the file name or packaging format.

Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
Error parsing proxy URL http://:8080/: Invalid host name.
andale32.exe: No such file or directory

All done, errors in processing 1 file(s)
dpkg: error processing msttcorefonts (--configure):
 subprocess post-installation script returned error exit status 1
Errors were encountered while processing:
 msttcorefonts
E: Sub-process /usr/bin/dpkg returned an error code (1)
A package failed to install. Trying to recover:
Setting up msttcorefonts (2.4) ...

These f...

Read more...

adhi (adrat-smiles) on 2010-02-16
Changed in msttcorefonts (Ubuntu):
status: In Progress → Fix Released
Changed in msttcorefonts (Ubuntu):
status: Fix Released → In Progress
Changed in msttcorefonts (Ubuntu):
assignee: Jean-Baptiste Lallement (jibel) → nobody
status: In Progress → Triaged
Brian Murray (brian-murray) wrote :

As mentioned in comment #31 this bug was due to an error in the proxy configuration tool for Ubuntu which would set http_proxy to http://:8080. This is no longer an issue with Ubuntu in 12.04 so I am marking this bug as Fix Released.

Changed in msttcorefonts (Ubuntu):
status: Triaged → Fix Released
GEOFF (anadrac) on 2013-12-04
Changed in msttcorefonts (Ubuntu):
assignee: nobody → GEOFF (anadrac)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers